CDays12.namespace("CDays12.DetailViewModel");

CDays12.DetailViewModel = (function() {
    var ctor = function() {
        CDays12.ComponentModel.BaseViewModel.apply(this, arguments);

        var self = this;

        this.isItemSelected = ko.observable(false);
        this.itemId = ko.observable("");
        this.itemName = ko.observable("");
        this.itemDescription = ko.observable("");

        this.messenger().subscribeMessage("itemDetailSelected", function(item) {
            self.isItemSelected(item ? true : false);
            self.itemId(item ? item.id : "");
            self.itemName(item ? item.name : "");
            self.itemDescription(item ? item.desc : "");
        });
    };
    ctor.prototype = {
        constructor: CDays12.DetailViewModel,
        name: "CDays12.DetailViewModel",
        version: "1.0"
    };
    return ctor;
}());
